Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Managed_Object.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Object_Manager.h"`
`#include "ace/Global_Macros.h"`
`#include "ace/Managed_Object.i"`
`#include "ace/Managed_Object.cpp"`

Include dependency graph for Managed_Object.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Cleanup_Adapter
| Adapter for ACE_Cleanup objects that allows them to be readily managed by the ACE_Object_Manager. More...
class | ACE_Managed_Object
| Wrapper for interface to allocate an object managed by the ACE_Object_Manager. More...

## Detailed Description

Id:
  Managed_Object.h,v 4.31 2003/11/03 03:04:11 dhinton Exp

Author:
  David L. Levine